/* 
    Table of content
    1. MOBILE MENU
        1.1 Header
        1.2 Body
            1.2.1 Menu
            1.2.2 Sub-menu
*/

/* 1. MOBILE MENU */
.mobile-menu {
    position: fixed;
    z-index: 20;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    overflow-y: auto;
    display: none;
}

.mobile-menu a,
.mobile-menu a:hover {
    text-decoration: none;
}

/* 1.1 Header */
.mobile-menu .logo-wrapper {
    position: absolute;
    z-index: 2;
    top: 4rem;
    left: var(--grid-padding);
    display: flex;
}

.mobile-menu .logo-wrapper img {
    width: auto;
    height: 5rem;
}

.mobile-menu .close {
    position: absolute;
    z-index: 2;
    top: 4rem;
    right: var(--grid-padding);
    width: 4.4rem;
    height: 4.4rem;
    border-radius: 50%;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.mobile-menu .close img {
    width: 2.2rem;
    height: 2.2rem;
}

/* 1.2 Body */
.mobile-menu .container {
    position: relative;
    z-index: 1;
    padding: 20rem 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10rem;
}

/* 1.2.1 Menu */
.mobile-menu ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.mobile-menu ul.menu > li {
    opacity: 0;
    transform: translateY(-1rem);
    transition: all 0.5s ease-out;
}

.mobile-menu ul.menu > li.animate {
    opacity: 1;
    transform: translateY(0);
}

.mobile-menu li:not(:first-child) {
    margin-top: .5rem;
}

.mobile-menu ul.menu a {
    font-size: 5rem;
    font-weight: 400;
    line-height: 1.2;
}

.mobile-menu ul.menu li.menu-item-has-children {
    position: relative;
}

.mobile-menu ul.menu li.menu-item-has-children::before {
    content: '\f107';
    position: absolute;
    top: 1.2rem;
    right: 0;
    font-family: "Font Awesome 5 Pro";
    font-size: 2.4rem;
    font-weight: 400;
    color: white;
    transition: .3s;
}

.mobile-menu ul.menu li.menu-item-has-children.active::before {
    transform: rotate(180deg);
}

.mobile-menu ul.menu a:hover {
    color: var(--color-yellow);
}

.mobile-menu ul ul {
    display: none;
}

/* 1.2.2 Sub-menu */
.mobile-menu ul.sub-menu {
    padding: 2rem;
}

.mobile-menu ul.sub-menu a {
    font-size: 2.4rem;
    font-weight: 300;
    line-height: 1.3;
}
/* End */

.mobile-menu .content-wrapper > * {
    opacity: 0;
    transform: translateY(-1rem);
    transition: all 0.5s ease-out;
}

.mobile-menu .content-wrapper > *.animate {
    opacity: 1;
    transform: translateY(0);
}

/* RESIZE */
@media (max-width: 899px) {
    /* 1. MOBILE MENU */
    /* 1.1 Header */
    .mobile-menu .logo-wrapper img {
        height: 4.4rem;
    }
}

@media (max-width: 767px) {
    /* 1. MOBILE MENU */
    .mobile-menu {
        align-items: inherit;
    }

    /* 1.2 Body */
    .mobile-menu .container {
        padding: 15rem 0 5rem;
        grid-template-columns: 1fr;
        grid-gap: 5rem;
    }

    /* 1.2.1 Menu */
    .mobile-menu li:not(:first-child) {
        margin-top: .3rem;
    }

    .mobile-menu ul.menu li.menu-item-has-children::before {
        top: .6rem;
        right: 1.2rem;
    }

    .mobile-menu ul.menu a {
        font-size: 4rem;
    }

    /* 1.2.2 Sub-menu */
    .mobile-menu ul.sub-menu a {
        font-size: 1.8rem;
        font-weight: 400;
    }    
}

@media (max-width: 599px) {
    /* 1. MOBILE MENU */
    /* 1.1 Header */
    .mobile-menu .logo-wrapper {
        top: 3rem;
    }

    .mobile-menu .close {
        top: 3rem;
    }
}

/* MOBILE */
@media (hover: none) and (pointer: coarse) {
    /* 1. MOBILE MENU */
    /* 1.2 Body */
    /* 1.2.1 Menu */
    .mobile-menu ul.menu a:hover {
        color: inherit;
    }
}